Docs Rizler

Profile

Update Profile

PATCHhttps://app.rizzdial.com/api/profile
Update Profile
curl --request PATCH \
  --url https://app.rizzdial.com/api/profile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Jane Doe",
  "email": "jane@example.com",
  "timezone_id": 1,
  "incoming_call": "Dialer + AI"
}'
{
  "data": {
    "id": 1,
    "name": "Jane Doe",
    "type": "company",
    "email": "jane@example.com",
    "address": "100 Main Street",
    "added_by": 1,
    "company_id": 1,
    "profile_img": "/users_upload/1/profile.png",
    "timezone_id": 1,
    "phone_number": "+14155550100",
    "incoming_call": "Dialer + AI",
    "email_verified_at": null
  },
  "message": "Profile updated successfully.",
  "success": true
}

Update Profile#

Updates the signed-in user's personal profile fields. If the email changes, email verification is cleared.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

namestringbodyrequired

User name. Maximum 255 characters

emailstringbodyrequired

Unique email address for this user

phone_numberstringbody

Phone number. Maximum 20 characters

addressstringbody

User address

ghl_keystringbody

GoHighLevel key

incoming_callstringbody

One of Dialer, Phone, AI, Dialer + AI

timezone_idintegerbody

Timezone id from Show Profile

curl --request PATCH \
  --url https://app.rizzdial.com/api/profile \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"name":"Jane Doe","email":"jane@example.com","incoming_call":"Dialer + AI","timezone_id":1}'
successboolean

true when the profile is updated

messagestring

Profile updated successfully.

dataobject

Updated user profile